#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: DrIFT
version: 2.4.2
id: DrIFT-2.4.2-8717db1312313aa8994d30e1074ee6a1

license: BSD3
copyright:
maintainer: gwern <gwern0@gmail.com>, Metasepi team <metasepi@gmail.com>
stability:
homepage: http://repetae.net/computer/haskell/DrIFT/
package-url:
synopsis: Program to derive type class instances
description: Data.Derive <http://hackage.haskell.org/package/derive> is good another solution for DrFIT.
             But DrFIT is Haskell 98 compliant, derive is not.
             .
             DrIFT is a type sensitive preprocessor for Haskell. It extracts type declarations
             and directives from modules. The directives cause rules to be fired on the parsed
             type declarations, generating new code which is then appended to the bottom of the input
             file. The rules are expressed as Haskell code, and it is intended that the user can add new
             rules as required.
             .
             DrIFT automates instance derivation for classes that aren'\''t supported by the standard compilers.
             In addition, instances can be produced in seperate modules to that containing the type declaration.
             This allows instances to be derived for a type after the original module has been compiled.
             As a bonus, simple utility functions can also be produced from a type.
             .
             This package was cabalized by gwern <gwern0@gmail.com>.
category: Data Structures
author: Noel Winstanley, John Meacham <john@repetae.net>
exposed: True
exposed-modules: DrIFT.Version
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/DrIFT-2.4.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/DrIFT-2.4.2
              /usr/local/lib
hs-libraries: HSDrIFT-2.4.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/DrIFT-2.4.2/html/DrIFT.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/DrIFT-2.4.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
